Groovy 1.7.0

## groovy.lang
Class GroovyClassLoader.ClassCollector

    java.lang.Object
      groovy.lang.GroovyClassLoader.ClassCollector

    class GroovyClassLoader.ClassCollector

Constructor Summary
`protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)`

Method Summary
`void` | `call(ClassVisitor classWriter, ClassNode classNode)`
`protected Class` | `createClass(byte[] code, ClassNode classNode)`
`protected GroovyClassLoader` | `getDefiningClassLoader()`
`Collection` | `getLoadedClasses()`
`protected Class` | `onClassNode(ClassWriter classWriter, ClassNode classNode)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyClassLoader.ClassCollector

    protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)

Method Detail

### call

    public void call(ClassVisitor classWriter, ClassNode classNode)

### createClass

    protected Class createClass(byte[] code, ClassNode classNode)

### getDefiningClassLoader

    protected GroovyClassLoader getDefiningClassLoader()

### getLoadedClasses

    public Collection getLoadedClasses()

### onClassNode

    protected Class onClassNode(ClassWriter classWriter, ClassNode classNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.